Index: branches/alma/external/atnf/PKSIO/PKSMS2writer.h
===================================================================
--- branches/alma/external/atnf/PKSIO/PKSMS2writer.h	(revision 1453)
+++ branches/alma/external/atnf/PKSIO/PKSMS2writer.h	(revision 1757)
@@ -2,29 +2,32 @@
 //# PKSMS2writer.h: Class to write Parkes Multibeam data to a measurementset.
 //#---------------------------------------------------------------------------
-//# Copyright (C) 2000-2006
-//# Associated Universities, Inc. Washington DC, USA.
-//#
-//# This library is free software; you can redistribute it and/or modify it
-//# under the terms of the GNU Library General Public License as published by
-//# the Free Software Foundation; either version 2 of the License, or (at your
-//# option) any later version.
-//#
-//# This library is distributed in the hope that it will be useful, but WITHOUT
+//# livedata - processing pipeline for single-dish, multibeam spectral data.
+//# Copyright (C) 2000-2009, Australia Telescope National Facility, CSIRO
+//#
+//# This file is part of livedata.
+//#
+//# livedata is free software: you can redistribute it and/or modify it under
+//# the terms of the GNU General Public License as published by the Free
+//# Software Foundation, either version 3 of the License, or (at your option)
+//# any later version.
+//#
+//# livedata is distributed in the hope that it will be useful, but WITHOUT
 //# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-//# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
-//# License for more details.
-//#
-//# You should have received a copy of the GNU Library General Public License
-//# along with this library; if not, write to the Free Software Foundation,
-//# Inc., 675 Massachusetts Ave, Cambridge, MA 02139, USA.
-//#
-//# Correspondence concerning AIPS++ should be addressed as follows:
-//#        Internet email: aips2-request@nrao.edu.
-//#        Postal address: AIPS++ Project Office
-//#                        National Radio Astronomy Observatory
-//#                        520 Edgemont Road
-//#                        Charlottesville, VA 22903-2475 USA
-//#
-//# $Id$
+//# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
+//# more details.
+//#
+//# You should have received a copy of the GNU General Public License along
+//# with livedata.  If not, see <http://www.gnu.org/licenses/>.
+//#
+//# Correspondence concerning livedata may be directed to:
+//#        Internet email: mcalabre@atnf.csiro.au
+//#        Postal address: Dr. Mark Calabretta
+//#                        Australia Telescope National Facility, CSIRO
+//#                        PO Box 76
+//#                        Epping NSW 1710
+//#                        AUSTRALIA
+//#
+//# http://www.atnf.csiro.au/computing/software/livedata.html
+//# $Id: PKSMS2writer.h,v 19.14 2009-09-29 07:33:38 cal103 Exp $
 //#---------------------------------------------------------------------------
 
@@ -32,4 +35,5 @@
 #define ATNF_PKSMS2WRITER_H
 
+#include <atnf/PKSIO/PKSrecord.h>
 #include <atnf/PKSIO/PKSwriter.h>
 
@@ -38,7 +42,9 @@
 #include <casa/Arrays/Vector.h>
 #include <casa/BasicSL/Complex.h>
+#include <casa/BasicSL/String.h>
 #include <ms/MeasurementSets/MeasurementSet.h>
 #include <ms/MeasurementSets/MSColumns.h>
-#include <casa/BasicSL/String.h>
+
+#include <casa/namespace.h>
 
 // <summary>
@@ -46,5 +52,4 @@
 // </summary>
 
-#include <casa/namespace.h>
 class PKSMS2writer : public PKSwriter
 {
@@ -64,4 +69,5 @@
         const Vector<Double> antPosition,
         const String obsMode,
+        const String bunit,
         const Float  equinox,
         const String dopplerFrame,
@@ -69,8 +75,8 @@
         const Vector<uInt> nPol,
         const Vector<Bool> haveXPol,
-        const Bool   haveBase, 
-        const String fluxUnit);
+        const Bool   haveBase);
 
     // Write the next data record.
+/**
     virtual Int write(
         const Int             scanNo,
@@ -114,6 +120,10 @@
         const Matrix<Float>   &spectra,
         const Matrix<uChar>   &flagged,
+	const uInt            flagrow,
         const Complex         xCalFctr,
         const Vector<Complex> &xPol);
+**/
+    virtual Int write(
+        const PKSrecord &pksrec);
 
     // Close the MS, flushing all associated Tables.
@@ -168,8 +178,5 @@
 
     // for handling parameters specific to GBT and other telescopes
-    Bool cGBT;
-    Bool cSMT;
-    Bool cAPEX;
-    Bool cALMA;
+    Bool cGBT, cSMT, cAPEX, cALMA, cATF;
 
     // Add an entry to the ANTENNA subtable.
